Skip to main content
GET
Get a model configuration

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

id
string
required

Config revision identifier.

Response

OK

Immutable, user-facing configuration revision that defines how a compatible model runs, including engine and hardware selectors.

id
string
required

Config revision identifier.

certifications
object[]
required

Model, hardware, and runtime combinations certified for this config revision.

referenceModelId
string
required

Deprecated. Use referenceModel. Reference model identifier.

selectors
object[]
required

Hardware and runtime selectors used to place and configure replicas.

projectId
string
required

ID of the project that owns the config revision. Public configs may be owned by a different project than the deployment.

referenceModel
string
required

Resource name of the referenced model, using projects/{modelProject}/models/{modelId}.

draftModel
string

Resource name of the draft model, using projects/{draftProject}/models/{modelId}; empty when speculative decoding is not enabled.